CommonSchemaV1.LinearState
Keywords: net.corda.core.schemas.CommonSchemaV1.LinearState class
Date: 2023-09-18

net.corda.core.schemas

## Class CommonSchemaV1.LinearState

- net.corda.core.schemas.PersistentState
- - net.corda.core.schemas.CommonSchemaV1.LinearState

- All Implemented Interfaces:
    DirectStatePersistable, StatePersistable
  Enclosing class:
    CommonSchemaV1

      @MappedSuperclass
      public static class CommonSchemaV1.LinearState
      extends PersistentState

- - ### Constructor Detail

    - #### LinearState

          public LinearState(@Nullable
                             java.util.Set<net.corda.core.identity.AbstractParty> participants,
                             @Nullable
                             java.lang.String externalId,
                             @NotNull
                             java.util.UUID uuid)

      Parameters:
        `participants` - X500Name of participant parties
        `externalId` - Represents a `class UniqueIdentifier`

    - #### LinearState

          public LinearState(@NotNull
                             UniqueIdentifier uid,
                             @NotNull
                             java.util.Set<? extends net.corda.core.identity.AbstractParty> _participants)

  - ### Method Detail

    - #### getParticipants

          @Nullable
          public java.util.Set<net.corda.core.identity.AbstractParty> getParticipants()

      X500Name of participant parties

    - #### setParticipants

          public void setParticipants(@Nullable
                                      java.util.Set<net.corda.core.identity.AbstractParty> p)

      X500Name of participant parties

      Parameters:
        `p` - X500Name of participant parties

    - #### getExternalId

          @Nullable
          public java.lang.String getExternalId()

      Represents a

      `class UniqueIdentifier`

      See Also:
        `class UniqueIdentifier`

    - #### setExternalId

          public void setExternalId(@Nullable
                                    java.lang.String p)

      Represents a

      `class UniqueIdentifier`

      Parameters:
        `p` - Represents a `class UniqueIdentifier`
      See Also:
        `class UniqueIdentifier`

    - #### getUuid

          @NotNull
          public java.util.UUID getUuid()

    - #### setUuid

          public void setUuid(@NotNull
                              java.util.UUID p)